package cn.com.ty.chat.neety.server;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.servlet.ServletContextEvent;

/**
 * @Author: chenyi
 * @Email: 228112142@qq.com
 * @Description: netty随项目启动
 */
@Slf4j
@Component
public class NettyListener implements CommandLineRunner {

    /** 服务端口 */
    @Value("${netty.port}")
    private Integer port;

    /** 服务端新心跳检测时间 */
    @Value("${netty.readerIdleTime}")
    private Integer readerIdleTime;

    @Value("${netty.path}")
    private String sslPath;

    @Value("${netty.password}")
    private String sslPassword;

    @Value("${netty.enable}")
    private Boolean enable;

    @Override
    public void run(String... args) throws Exception {
        new Thread(() -> {
            try {
                new ChatServer().start(port, readerIdleTime, sslPath, sslPassword, enable);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }).start();
    }
}