package cn.com.ty.lift.ud.batchUtils;

import cn.com.ty.lift.common.aliservice.aliyunoss.AliyunOSS;
import cn.com.ty.lift.ud.schoolVideo.mapper.entity.SchoolVideoEntity;
import cn.com.ty.lift.ud.schoolVideo.service.ISchoolVideoService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Objects;

@RestController
@RequestMapping("/api/batch-video")
@Slf4j
public class VideoBatchUploadUtil {
    @Autowired
    private ISchoolVideoService schoolVideoService;

    @GetMapping
    public RestResponse bindVideo(@RequestParam String ossDir) {
        //"电梯资料[2021]/电梯资料2021/东芝系列资料/直梯/使用手册/"
        List<String> filesUrl = AliyunOSS.me().listObjects("ty-oss-file", ossDir);

        for (String fileUrl : filesUrl) {
            if (fileUrl.endsWith(ossDir)) {
                continue;
            }
            log.info("--------------{}", fileUrl);

            SchoolVideoEntity schoolVideoEntity = new SchoolVideoEntity();
            schoolVideoEntity.setUrl(fileUrl);
            schoolVideoEntity.setTitle(fileUrl.substring(fileUrl.lastIndexOf("/") + 1));
            schoolVideoEntity.setStatuz(0);
            schoolVideoEntity.setCheckFlag(2);
            schoolVideoEntity.setPlatformFlag(0);
            schoolVideoEntity.setCover(null);
            schoolVideoEntity.setDescr(null);
            schoolVideoEntity.setUserId(1L);


            schoolVideoService.save(schoolVideoEntity);
        }

        return RestResponse.success(filesUrl);
    }


    @GetMapping("/test")
    @SuppressWarnings("all")
    public RestResponse test(@RequestParam String url, @RequestParam Integer times) {

        SchoolVideoEntity entity = schoolVideoService.getBaseMapper().selectOne(new QueryWrapper<SchoolVideoEntity>().lambda()
                .eq(SchoolVideoEntity::getUrl, url)
                .last("limit 1"));

        if (Objects.isNull(entity)) {
            return RestResponse.success("未找到该视频数据!");
        }
        if (Objects.isNull(times) || times == 0) {
            return RestResponse.success("次数不能为空!");
        }

        for (int i = 0; i < times; i++) {
            SchoolVideoEntity schoolVideoEntity = new SchoolVideoEntity();
            schoolVideoEntity.setUrl(url);
            schoolVideoEntity.setTitle(entity.getTitle());
            schoolVideoEntity.setStatuz(0);
            schoolVideoEntity.setCheckFlag(2);
            schoolVideoEntity.setPlatformFlag(0);
            schoolVideoEntity.setCover(entity.getCover());
            schoolVideoEntity.setDescr(entity.getDescr());
            schoolVideoEntity.setUserId(1L);

            schoolVideoService.save(schoolVideoEntity);
        }


        return RestResponse.success("成功!");
    }
}
