package cn.com.ty.lift.ud.userComplaint.controller;

import cn.com.ty.lift.ud.common.BaseController;
import cn.com.ty.lift.ud.userComplaint.controller.query.UserComplaintQuery;
import cn.com.ty.lift.ud.userComplaint.mapper.entity.UserComplaint;
import cn.com.ty.lift.ud.userComplaint.service.IUserComplaintService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户投诉信息 API
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Api(tags = "用户投诉信息 API- 陈雪松")
@RestController
@RequestMapping("/api/UserComplaint")
public class UserComplaintController extends BaseController<UserComplaint, UserComplaintQuery> {

    private final Logger log = LoggerFactory.getLogger(UserComplaintController.class);

    @Autowired
    private IUserComplaintService userResumeService;


    @Override
    protected IService<UserComplaint> getService() {
        return userResumeService;
    }

    @ApiOperation(value = "根据条件查询全有字段")
    @PostMapping("query-all-by-condition")
    public RestResponse selectAllByCondition(@RequestBody UserComplaintQuery param){
        return userResumeService.selectAllByCondition(param);
    }
}