package cn.com.ty.lift.ud.userComplaint.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户投诉信息
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "用户投诉信息")
@TableName(value = "user_complaint")
public class UserComplaint extends BaseEntity {

	/**
	 * 用户
	 */
	@ApiModelProperty("分类")
	private Integer category;

	/**
	 * 用户id
	 */
	@ApiModelProperty("用户id")
	private Long userId;

	/**
	 * 被投诉用户id
	 */
	@ApiModelProperty("被投诉用户id")
	private Long complainedUserId;

	/**
	 * 投递人名字
	 */
	@ApiModelProperty("投递人名字")
	private String name;

	/**
	 * 投诉人手机号
	 */
	@ApiModelProperty("投诉人手机号")
	private String mobile;

	/**
	 * 年龄
	 */
	@ApiModelProperty("投诉图片")
	private String imgs;

	/**
	 * 出生年月
	 */
	@ApiModelProperty("投诉内容")
	private String comment;

}
